#!/bin/bash

# Illinois Open Source License
#
# University of Illinois/NCSA
# Open Source License
#
# Copyright © 2009,    University of Illinois.  All rights reserved.
#
# Developed by:
# Innovative Systems Lab
# National Center for Supercomputing Applications
# http://www.ncsa.uiuc.edu/AboutUs/Directorates/ISL.html
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of this
# software and associated documentation files (the "Software"), to deal with the Software
# without restriction, including without limitation the rights to use, copy, modify, merge,
# publish, distribute, sublicense, and/or sell copies of the Software, and to permit
# persons to whom the Software is furnished to do so, subject to the following conditions:
#
# Redistributions of source code must retain the above copyright notice, this list of 
#   conditions and the following disclaimers.
#
# Redistributions in binary form must reproduce the above copyright notice, this list of 
#   conditions and the following disclaimers in the documentation and/or other materials
#   provided with the distribution.
#
# Neither the names of Innovative Systems Lab and National Center for Supercomputing  
#   Applications, nor the names of its contributors may be used to endorse or promote
#   products derived from this Software without specific prior written permission.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
#  INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
#  PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE 
#  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT 
#  OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
#  DEALINGS WITH THE SOFTWARE.
#

#POINTS=97178

POINTS="1024"
DATAPARS="-d ../data/small/Datapnts.1 -p ${POINTS}"
RANDPARS="-r ../data/small/Randompnts -n 100 -q ${POINTS}"
ANALPARS="-b 5 -l 0.01 -u 10000 -a -j 10"
OUTFILE="../data/small_results_test1.dat"

echo ./2point ${DATAPARS} ${RANDPARS} ${ANALPARS} -o ${OUTFILE}
./2point ${DATAPARS} ${RANDPARS} ${ANALPARS} -o ${OUTFILE}

